/api/v1/external-users/{id} (PATCH)
const url = 'https://api.endless.zaia.app/api/v1/external-users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"blocked":true,"externalId":"example","externalUserGroupId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","identifier":"example","name":"example","tierId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.endless.zaia.app/api/v1/external-users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "blocked": true, "externalId": "example", "externalUserGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "identifier": "example", "name": "example", "tierId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Updates an external user.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
Whether the external user is blocked.
External reference in the integrated system.
The ID of the external user group associated with the external user.
A unique identifier of the external user (usernames, emails, phone numbers and etc).
The display name of the external user.
The ID of the tier associated with the external user.
Examplegenerated
{ "blocked": true, "externalId": "example", "externalUserGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "identifier": "example", "name": "example", "tierId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Seção intitulada “Responses”The external user was updated.
object
A UUID v4 string that identifies an entity.
Whether the external user is blocked.
The ID of the channel associated with the external user.
External reference in the integrated system.
The ID of the external user group associated with the external user.
A unique identifier of the external user (usernames, emails, phone numbers and etc).
The display name of the external user.
The ID of the super identity associated with the external user.
The ID of the tier associated with the external user.
The ID of the workspace associated with the external user.
Examplegenerated
{ "createdAt": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updatedAt": "2026-04-15T12:00:00Z", "blocked": true, "channelId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "externalId": "example", "externalUserGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "identifier": "example", "name": "example", "superIdentityId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "tierId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Invalid data provided.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}External user not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}